%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	The UCL Compression Library
Name:		ucl
Version:	1.03
Release:	19
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.oberhumer.com/opensource/ucl/
Source0:	http://www.oberhumer.com/opensource/ucl/download/%{name}-%{version}.tar.gz
# https://dev.openwrt.org/browser/packages/libs/ucl/patches/002-missing-macros.patch?rev=24363&format=txt
Patch0:		002-missing-macros.patch
Patch1:		ucl-1.03-CFLAGS.patch

%description
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced.
- Algorithm is thread safe.
- Algorithm is lossless.
UCL supports in-place decompression.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The UCL Compression Library
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- The decompressors can be squeezed into less than 200 bytes of code.
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced.
- Algorithm is thread safe.
- Algorithm is lossless.
UCL supports in-place decompression.

This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%{_libdir}/libucl.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	The UCL Compression Library - development environment
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}ucl1-devel < 1.03-8

%description -n %{devname}
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced.
- Algorithm is thread safe.
- Algorithm is lossless.
UCL supports in-place decompression.

Install %{devname} if you need to compile an application with %{libname}
support.

%files  -n %{devname}
%doc COPYING INSTALL NEWS README THANKS TODO
%{_libdir}/*.so
%dir %{_includedir}/ucl/
%{_includedir}/ucl/*.h

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x \
	--enable-shared \
	--disable-static
%make

%install
%makeinstall_std


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.03-19
- (3ad7526) Fix assembler code build


